Bug 1641796 - controller-manager pod stops responding with max memory usage and lot of open tcp sockets
Summary: controller-manager pod stops responding with max memory usage and lot of open...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Catalog
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.11.z
Assignee: Jay Boyd
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1638726
Blocks: 1641791
TreeView+ depends on / blocked
 
Reported: 2018-10-22 19:09 UTC by Jay Boyd
Modified: 2019-11-15 05:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The OSB Client Library utilized by the Service Catalog controller pod was not closing and freeing TCP connections used to communicate with Brokers. Consequence: Over a period of time many TCP connections would remain open and eventually the communication between the Service Catalog controller and Brokers would fail. Additionally the pod would become unresponsive. Fix: Reuse the TCP connection when utilizing the OSB Client Library
Clone Of: 1638726
Environment:
Last Closed: 2018-11-20 03:11:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3537 None None None 2018-11-20 03:12:09 UTC

Comment 1 Jay Boyd 2018-10-22 19:11:00 UTC
fixed in 3.11 by https://github.com/openshift/service-catalog/pull/29 and included in atomic-enterprise-service-catalog-3.11.29-1

Comment 3 Jian Zhang 2018-11-02 10:12:16 UTC
Verify it, for details steps, please see bug 1628235
Version info:
v3.11.36;Upstream:v0.1.35

Comment 5 errata-xmlrpc 2018-11-20 03:11:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3537


Note You need to log in before you can comment on or make changes to this bug.